> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewerviewervariablesimport



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/ViewerVariables/Import
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/ViewerVariables/Import:
    post:
      tags:
        - ViewerVariable
      operationId: ViewerVariable_ImportViewerVariables
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportViewerVariablesResult'
components:
  schemas:
    ImportViewerVariablesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          required:
            - ImportID
            - Variables
            - Values
          properties:
            ImportID:
              type: string
              format: guid
              minLength: 1
            Variables:
              type: array
              items:
                $ref: '#/components/schemas/VariableChange'
            Values:
              type: array
              items:
                $ref: '#/components/schemas/VariableValueChange'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    VariableChange:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        Name:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        DefaultValue:
          type: string
          nullable: true
        NewDescription:
          type: string
          nullable: true
        NewDefaultValue:
          type: string
          nullable: true
        IsDeleted:
          type: boolean
        IsNew:
          type: boolean
    VariableValueChange:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          format: guid
        VariableId:
          type: string
          format: guid
        DestinationId:
          type: string
          format: guid
        Value:
          type: string
          nullable: true
        NewValue:
          type: string
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````